PDA

Visualizza la versione completa : da dove si scaricano le librerie?


dario2588
08-09-2010, 10:29
ciao a tutti, oggi ho fatto gli aggiornamenti di mandriva solo che mi scrive questo:

Spiacente, questi pacchetti non possono essere selezionati:

- k3b-2.0.1-69.1mib2010.1.i686 (perché non è soddisfatto libmp3lame.so.0)
- kmediafactory-0.8.0-69.1mib2010.1.i686 (perché non è soddisfatto kaffeine)
- vlc-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto libfaad.so.2)
- vlc-plugin-aa-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-bonjour-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-dv-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-flac-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-fluidsynth-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-ggi-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-gnutls-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-jack-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-lirc-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-lua-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-mod-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-mpc-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-ncurses-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-opengl-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-pulse-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-schroedinger-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-sdl-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-speex-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-svgalib-1.1.4-69.1mib2010.1.i686 (per conflitti con vlc-1.1.4-69.1mib2010.1.i686)
- vlc-plugin-theora-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-twolame-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-upnp-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-xosd-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])
- vlc-plugin-zvbi-1.1.4-69.1mib2010.1.i686 (perché non è soddisfatto vlc[== 1.1.4])

da dove li scarico le librerie di vlc e di k3b?? ma kaffeine non dovrebbe essere installato di default dal sistema??

dario2588
08-09-2010, 10:46
ragazzi ho risolto scaricando gli rpm da internet su rpm search, comunque che per caso c'è un modo per scaricare le librerie direttamente sul programma di aggiornamento oppure anche da terminale??
su rpm search non riesco a trovare kaffeine perchè ce ne sono tanti e non capisco quale devo prendere, qualcuno sa da dove posso scaricare kaffeine per mandriva 2010.1?

bereshit
08-09-2010, 12:50
mi pare strano che non ci sia nei repo ....

francofait
08-09-2010, 13:13
Originariamente inviato da dario2588
ragazzi ho risolto scaricando gli rpm da internet su rpm search, comunque che per caso c'è un modo per scaricare le librerie direttamente sul programma di aggiornamento oppure anche da terminale??
su rpm search non riesco a trovare kaffeine perchè ce ne sono tanti e non capisco quale devo prendere, qualcuno sa da dove posso scaricare kaffeine per mandriva 2010.1?
Qualunque distribuzione linux tu voglia usare devi metterti nel capo che i pacchetti non puoi prenderli in qua e in dove capita in giro per la rete. Devi usare il suo gestore dei pacchetti.
Configura come si deve il gestore dei pacchetti di mandriva , i pacchetti di mandriva sono sui server delle repositry di mandriva , tutti nessuno escluso .
Il gestore dei pacchetti di mandriva è solo urpmi con il supporto supplementare della sua interfaccia grafica.
Se pensi di poter trovare una qualunque distribuzione linux affrontabile senza studiarne più a fondo possibile la sua documentazione , sei completamente fuori strada e non vai da nessuna parte al di la di tanti pasticci.

bereshit
08-09-2010, 18:13
Se pensi di poter trovare una qualunque distribuzione linux affrontabile senza studiarne più a fondo possibile la sua documentazione , sei completamente fuori strada e non vai da nessuna parte al di la di tanti pasticci.

credo che sia il 400esimo post che apre e che gli viene detta una cosa del genere....................

dario2588
08-09-2010, 18:33
guarda che le librerie che ho scaricato funzionano benissimo, devo solo capire come si fa a trovare kaffeine, nel gestore dei pacchetti non me lo da...

mykol
09-09-2010, 00:03
.
.
se vuoi installare i programmi devi prima configurare correttamente le repository, cioè in sostanza dirgli da quali server scaricare i pacchetti da installare.

Anche per mandriva (come per molte altre distro) esistono delle repository "ufficiali" che dovrebbero contenere soft più testati e sicuri, esenti da bug, "liberi" in tutto il mondo il mondo, ecc... ed altre mantenute da gruppi di appassionati che in genere contengono soft più recenti, aggiornati, ma meno testati e/o che in alcuni paesi non sono "liberi" ma possono avere problemi di licenza.

Quindi per installare i soft devi configurare il sistema con i repository opportuni.

Ovviamente, su nuna macchina di "produzione" dove è fondamentale la stabilità e la sicurezza, installerai i soft solo dai repo ufficiali mantenuti da mandriva stessa mentre su un pc che usi per diletto o dove non particolari problemi di sicurezza, ecc... , alle precedenti potrai aggiungere tutti gli altri repo.

Per farlo hai due vie.

La prima usare il centro di controllo di mandriva. Apri una console, ci scrivi mcc, invio, metti la password e poi scegli "Gestione software" e quindi "Configura i supporti da cui installare ed aggiornare".

La stessa cosa la puoi fare dal sito "easyurpmi.zarb.org".

Per non fare pasticci, rimuovi preventivamente tutti i server impostati.

Apri una console, diventi root e ci scrivi

urpmi.removemedia -a (attenzione al puntino !)

Cancellati tutti i repo precedentemente impostati, inserisci quelli nuovi.

Sempre sul sito "easyurpmi ......" scegli la lingua, l'architettura del pc (32 o 64 bit), la versione di mandriva, i server dai quali scaricare ed installare i soft, poi compare un elenco di stringhe da inserire, lo evidenzi col mouse e ci fai un "copia e incolla" in una console che hai aperto in precedenza ed in cui sei diventato "root".
Fatto questo, parte automaticamente l'aggiornamento dei repo. Se si ferma batti "invio" fino a quando non ha finito, cioè non compare il cursore.

A questo punto, nella stessa console, dai il comando

urpmi --auto-select -a

e ti aggiorna tutta la distribuzione.

Una ulteriore possibilità (la più "spinta", che ti consente di trovare i soft più recenti) è impostare anche i "repo" del MIB sito MIB (http://mib.pianetalinux.org/mib/) che trovi sul sito russo (http://urpmi.mandriva.ru/).

Fatto tutto ciò, dal centro di controllo di mandriva (mcc) o dalla console puoi installare tutti i soft (anche i più recenti) esistenti per la tua distro mandriva, anzi, ogni volta che accendi il pc, se sono disponibili aggiornamenti, ti compare l'iconcina che ti chiede se vuoi farli. Più semplice di così !

Tutta sta cosa ti sembrerà difficile, ma è più facile da fare che da spiegare.

Leggiti anche il "manuale garatti" ed il "Mandriva Wiki" i cui link trovi sulla prima pagina del MIB. E' tutto spiegato alla perfezione.

Inutile dire che dopo aver configurato a puntino i "repo" non avrai più problemi.

dario2588
09-09-2010, 01:49
ho fatto tutto quello che hai detto, ora mi ritrovo con una marea di fonti per i repo, però alcuni sono selezionati su abilita (e qualcuno che sta selezionato su abilita sta selezionato anche su aggiorna):
main, main updates, contrib e contrib update, plf free, mib basic 32 e mib expert 32...
ora sto a posto con gli aggiornamenti giusto??

ps. a tutti quelli che pensano che non mi documento, mi stò documentando precisamente su una guida di 124 pagine...solo che se ancora non sò quasi nulla è perchè:
1- non sò leggere tutte quelle pagine tutte d'un fiato
2- io sono il tipo di persona che per capirle le cose non le devo solo studiare, ma le devo anche provare...
ricordate che sbagliando si impara ed è proprio così che imparerò ad usarlo...
(il manuale è proprio quello che dici tu mycol)
ci sentiamo al mio prossimo, futuro, imminente problema ;)

mykol
09-09-2010, 22:18
scusa, quale guida leggi ?

Una generale su linux va bene, ma per gestire le singole distro nulla è meglio delle guide a loro dedicate.

A proposito dei repo che ti ritrovi, prima di aggiungere quelli nuovi hai cancellato quelli vecchi ?

La cosa più semplice che puoi fare è cancellare tutti quelli che hai

urpmi.removemedia -a

e poi aggiungere tutti quelli del sito russo che ti ho linkato, dopo di che fare un bell'aggiornamento generale

urpmi --auto-select -a

Se non segui una certa logica in queste operazioni, ti puoi ritrovare con impostate diverse fonti che scaricano gli stessi pacchetti con non pochi problemi.

Comunque, se credi, posta l'elenco delle fonti che ti ritrovi impostate.

Io, infine, dal Centro di controllo, Gestione software, Configura i supporti ......, ho selezionato tutto ad eccezione delle voci che nel nome contengono "debug".

dario2588
09-09-2010, 22:28
si, le ho cancellate le fonti che avevo prima e poi ho messo le altre del sito russo, prima le official medias, poi plf medias e poi i mib medias
(sto leggendo il manuale garatti di mandriva 2010)

Loading